want to update internet explorer

Gigabyte / 845
March 5, 2009 at 00:28:03
Specs: win xp , 256ddr1
I just want to update my internet explorer from IE 5 version to IE8

See More: want to update internet explorer

Report •


#1
March 5, 2009 at 06:13:15
Then do that. :)

EEOC


Report •

#2
March 6, 2009 at 03:28:51
You can update your IE, but you should care that menimum requirement of IE8 is Windox xp services pack 2.

Report •

Related Solutions


Ask Question